/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "USB Component", "index.html", [
    [ "Overview", "index.html", "index" ],
    [ "Revision History", "rev_hist.html", null ],
    [ "USB Device", "USB_Device.html", "USB_Device" ],
    [ "USB Host", "USB_Host.html", "USB_Host" ],
    [ "USB Concepts", "USB_Concepts.html", [
      [ "USB Transfer Rates", "USB_Concepts.html#USB_Transfer_Rates", null ],
      [ "USB Network", "USB_Concepts.html#USB_Network", null ],
      [ "USB Communication", "USB_Concepts.html#USB_Communication", [
        [ "Pipes", "USB_Concepts.html#USB_Pipes", null ],
        [ "Transfers", "USB_Concepts.html#USB_Transfers", [
          [ "Control Transfers", "USB_Concepts.html#USB_Control_Transfers", null ],
          [ "Interrupt Transfers", "USB_Concepts.html#USB_Interrupt_Transfers", null ],
          [ "Isochronous Transfers", "USB_Concepts.html#USB_Isochronous_Transfers", null ],
          [ "Bulk Transfers", "USB_Concepts.html#USB_Bulk_Transfers", null ]
        ] ],
        [ "Endpoints", "USB_Concepts.html#USB_Endpoints", null ]
      ] ],
      [ "USB Protocol", "USB_Concepts.html#USB_Protocol", [
        [ "Transactions", "USB_Concepts.html#USB_Transactions", null ],
        [ "Packets", "USB_Concepts.html#USB_Packets", null ]
      ] ],
      [ "USB Descriptors", "USB_Concepts.html#USB_Descriptors", [
        [ "Device Descriptor", "USB_Concepts.html#USB_Device_Descriptor", null ],
        [ "Configuration Descriptor", "USB_Concepts.html#USB_Configuration_Descriptor", null ],
        [ "Interface Descriptor", "USB_Concepts.html#USB_Interface_Descriptor", null ],
        [ "Endpoint Descriptor", "USB_Concepts.html#USB_Endpoint_Descriptor", null ],
        [ "Device Qualifier Descriptor", "USB_Concepts.html#USB_Device_Qualifier_Descriptor", null ],
        [ "String Descriptors", "USB_Concepts.html#USB_String_Descriptor", null ]
      ] ]
    ] ],
    [ "Supported USB Classes", "USB_Classes.html", [
      [ "ADC: Audio Device Class", "USB_Classes.html#ADC", null ],
      [ "CDC: Communication Device Class", "USB_Classes.html#CDC", [
        [ "CDC Class Features", "USB_Classes.html#CDC_Features", null ],
        [ "Control Transfers", "USB_Classes.html#CDC_Control_Transfers", null ],
        [ "USB Descriptors", "USB_Classes.html#CDC_Descriptors", null ]
      ] ],
      [ "HID: Human Interface Device Class", "USB_Classes.html#HID", [
        [ "HID Class Features", "USB_Classes.html#HID_Features", null ],
        [ "Control Transfers", "USB_Classes.html#HID_Control_Transfers", null ],
        [ "Interrupt Transfers", "USB_Classes.html#HID_Interrupt_Transfers", null ],
        [ "USB Descriptors", "USB_Classes.html#HID_Descriptors", null ]
      ] ],
      [ "MSC: Mass Storage Class", "USB_Classes.html#MSC", [
        [ "MSC Class Features", "USB_Classes.html#MSC_Features", null ],
        [ "Control Transfers", "USB_Classes.html#MSC_Control_Transfers", null ],
        [ "Bulk Transfers", "USB_Classes.html#MSC_Bulk_Transfers", null ],
        [ "USB Descriptors", "USB_Classes.html#MSC_Descriptors", null ]
      ] ],
      [ "Custom Class", "USB_Classes.html#CustomClass", [
        [ "USB Host supporting any Device Class", "USB_Classes.html#CustomClass_Host", null ],
        [ "USB Device implementing any Device Class", "USB_Classes.html#CustomClass_Device", null ],
        [ "USB Descriptors", "USB_Classes.html#CustomClass_Descriptors", null ]
      ] ]
    ] ],
    [ "Function Overview", "function_overview.html", [
      [ "USB Device", "function_overview.html#usbd_functions", null ],
      [ "USB Host", "function_overview.html#usbh_functions", null ]
    ] ],
    [ "Resource Requirements", "resource_requirements.html", [
      [ "USB Device Resource Requirements", "resource_requirements.html#usbd_res_req", [
        [ "Stack Requirements", "resource_requirements.html#usbd_stack_req", null ],
        [ "CMSIS-RTOS2 Requirements", "resource_requirements.html#usbd_rtos_req", null ],
        [ "Memory Requirements", "resource_requirements.html#usbd_mem_req", null ]
      ] ],
      [ "USB Host Resource Requirements", "resource_requirements.html#usbh_res_req", [
        [ "Stack Requirements", "resource_requirements.html#usbh_stack_req", null ],
        [ "CMSIS-RTOS2 Requirements", "resource_requirements.html#usbh_rtos_req", null ],
        [ "Memory Requirements", "resource_requirements.html#usbh_mem_req", null ]
      ] ]
    ] ],
    [ "Migration Guide", "usb_migration.html", [
      [ "Component Selection", "usb_migration.html#usb_migration_component", null ],
      [ "Configuration", "usb_migration.html#usb_migration_config", [
        [ "Debug", "usb_migration.html#autotoc_md21", null ],
        [ "USB Device", "usb_migration.html#autotoc_md22", null ],
        [ "USB Host", "usb_migration.html#autotoc_md23", null ]
      ] ]
    ] ],
    [ "API Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"USB_Classes.html",
"group__usbd__evr__adc__func.html#ga1ccb91620b8d3b067cbb462feaf7a485",
"group__usbd__evr__msc__func.html#ga733e733d85493019fb3ae08a414ebe3e",
"group__usbh__evr__core__func.html#gac91e11435ced63f367d9c5900d69275c"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';