# Network Reference Applications

**Network Reference Examples** contain the following projects (in the corresponding subfolders) that demonstrate how to use various services implemented in the MDK-Middleware Network component:

| Example Project                  | Description                                                                                 |
|----------------------------------|---------------------------------------------------------------------------------------------|
| [BSD Client](./BSD_Client)       | Shows how to use BSD sockets for network communication from a client side.                  |
| [BSD_Server](./BSD_Server)       | Shows how to use BSD sockets for network communication from a server side.                  |
| [FTP Server](./FTP_Server)       | Implements an FTP server for file manipulation.                                             |
| [HTTP Server](./HTTP_Server)     | Shows the basic functionality of an embedded web server.                                    |
| [HTTP Upload](./HTTP_Upload)     | Demonstrates how to access an SD card on a development board via a web interface.           |
| [HTTPS Server](./HTTPS_Server)   | Shows the basic functionality of a secure web server using the mbed TLS software component. |
| [SMTP Client](./SMTP_Client)     | Shows sending dynamic e-mail messages to a predefined email address.                        |
| [SMTPS Client](./SMTPS_Client)   | Shows sending dynamic e-mail messages to a predefined email address using secure client.    |
| [SNMP Agent](./SNMP_Agent)       | Shows how to use the Simple Network Management Protocol to control an embedded system.      |
| [Telnet Server](./Telnet_Server) | Use Telnet interface for communication with the device.                                     |

For more details refer to [Network Examples section in the MDK-Middleware documentation](https://arm-software.github.io/MDK-Middleware/latest/Network/examples.html).

Also see [CMSIS-Toolbox - Reference Applications](https://github.com/Open-CMSIS-Pack/cmsis-toolbox/blob/main/docs/ReferenceApplications.md) to learn more about the concept of reference application in Open CMSIS Pack used by these examples.
